Create custom nameserver templates for domains

Create your own nameserver templates to define a specific set of nameservers to associate with your domains.

Domain Services Nameservers

Context

Used in the dashboard

/domains/bulk-nameservers

Headers

Accept Example
Content-Type Example

Body

required
application/json
description string required · Example: null
name string required · Example: WPX Nameservers
nameservers array required · Example: ["example.com","example.com"]

Responses

200
data object required
data.message string required · Example: Nameserver template created successfully

Human-readable message.

data.template object required
data.template.client_id integer required · Example: 30000
data.template.created_at string required · Example: 2026-02-10T00:00:00.000Z
data.template.description string · nullable required · Example: null

Nullable: may be null when not applicable.

data.template.id string required · Example: 57bdf128-d959-490c-bbd8-29064900fee2
data.template.is_system boolean required · Example: false
data.template.name string required · Example: WPX Nameservers
data.template.nameservers array<string> required · Example: ["example.com","example.com"]
data.template.updated_at string required · Example: 2026-02-10T00:00:00.000Z
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/nameserver-templates
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/nameserver-templates" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "WPX Nameservers",
    "description": null,
    "nameservers": [
      "example.com",
      "example.com",
      {
        "_truncated": "... and 1 more items"
      }
    ]
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "template": {
      "id": "57bdf128-d959-490c-bbd8-29064900fee2",
      "client_id": 30000,
      "name": "WPX Nameservers",
      "description": null,
      "is_system": false,
      "nameservers": [
        "example.com",
        "example.com",
        {
          "_truncated": "... and 1 more items"
        }
      ],
      "created_at": "2026-02-10T00:00:00.000Z",
      "updated_at": "2026-02-10T00:00:00.000Z"
    },
    "message": "Nameserver template created successfully"
  }
}
Request Body Example 1
{
  "name": "WPX Nameservers",
  "description": null,
  "nameservers": [
    "example.com",
    "example.com",
    {
      "_truncated": "... and 1 more items"
    }
  ]
}